# Class ZipData

java.lang.Object
javajs.util.ZipData

public class ZipData extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZipData(int nBytes)`

## Method Summary

Modifier and Type
Method
Description
`int`
`addBytes(byte[] byteBuf, int nSectorBytes, int nBytesRemaining)`
`void`
`addTo(GenericZipTools jzt, SB data)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipData

public ZipData(int nBytes)

## Method Details

### addBytes

public int addBytes(byte[] byteBuf, int nSectorBytes, int nBytesRemaining)

### addTo

public void addTo(GenericZipTools jzt, SB data)